%define oname   tokyocabinet

Name:           ruby-%{oname}
Version:        1.29.1
Release:        %mkrel 3
Summary:        Tokyo Cabinet: a modern implementation of DBM
License:        LGPLv2.1
Group:          Development/Ruby
URL:            http://tokyocabinet.sourceforge.net/
Source0:        http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires:  rubygems
BuildRequires:  ruby-devel
BuildRequires:  tokyocabinet-devel

%description
Tokyo Cabinet is a library of routines for managing a database.  The
database is a simple data file containing records, each is a pair of a key
and a value.  Every key and value is serial bytes with variable length. 
Both binary data and character string can be used as a key and a value. 
There is neither concept of data tables nor data types.  Records are
organized in hash table, B+ tree, or fixed-length array.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.29.1-3.mga4
+ Revision: 562581
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 1.29.1-2.mga4
+ Revision: 560545
- Update for new binary extensions location

* Thu Dec 12 2013 spuhler <spuhler> 1.29.1-1.mga4
+ Revision: 556496
- upgrade to version 1.29.1

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Feb 08 2013 umeabot <umeabot> 1.29-5.mga3
+ Revision: 396594
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.29-4.mga3
+ Revision: 381600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.29-3.mga3
+ Revision: 314023
- update file list
- add authors
- rebuild for new ruby

* Sun Jan 22 2012 kamil <kamil> 1.29-2.mga2
+ Revision: 199449
- rebuild against new tokyocabinet 1.4.47
- clean .spec

* Thu Feb 10 2011 shikamaru <shikamaru> 1.29-1.mga1
+ Revision: 49718
- fix file list
- fix License
- imported package ruby-tokyocabinet


* Wed Feb 09 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.29-1
- Initial package
